Hi, I'm Ask INFA!
What would you like to know?
ASK INFAPreview
Please to access Ask INFA.

Table of Contents

Search

  1. Introduction
  2. Define settings for data collections
  3. Manage Data Marketplace content
  4. Manage data collections
  5. Manage requests, orders and consumer accesses
  6. Miscellaneous APIs
  7. Frequently Asked Questions

API Reference

API Reference

Response

Response

When you pass the API query parameters in the REST client, the client displays a response for the parameter values that you have entered.
The following example shows the response of an API call to retrieve the data elements of a data asset:
{ "processingTime": 2137, "offset": 0, "limit": 50, "totalCount": 1, "objects": [ { "id": "c317d035-d9a0-3144-a8cc-18v506c4dece", "refId": "DLM-371", "name": "Retail outlet list", "description": "A list of all retail outlets.", "referenceLink": "URL://AXON", "technicalType": "string", "technicalName": "string", "type": "column", "status": "ENABLED", "businessName": "Global Retail Outlets", "businessDesc": "A list of all retail outlets around the global.", "createdBy": "7w2uGIARApUgxniNoHHWsJ", "createdOn": "2022-03-08T17:05:28.208Z", "modifiedBy": "7w2uGIARApUgxniNoHHWsJ", "modifiedOn": "2022-03-08T17:09:34.623Z" } ] }
The following table describes the parameters of each data element that is retrieved:
Parameter
Description
offset
The starting index for the paginated results.
Default value is
0
.
limit
The maximum number of results.
Default value is
50
.
totalCount
Total count of records matching the given filters.
id
The system generated unique identifier of the data element.
refId
Reference identifier of the data element.
name
Name of the data element.
description
Description of the data element.
referenceLink
The URL path of the data source.
technicalType
The type of the data element, as defined in the data source.
technicalName
The name of the data element, as it appears in the data source.
type
Type of the data element.
status
The status informs you of whether the data element is available to Data Owners.
If the status is
ENABLED
, the data element is available to Data Owners.
If the status is
DISABLED
, the data element is not available to Data Owners.
businessName
The business name of a data element, as defined in
Data Governance and Catalog
.
In
Data Governance and Catalog
, technical assets might have user-friendly business names assigned to them. Users can assign the business names manually, or the system can automatically assign the names. For more information, see the
Enrich technical assets with governance context
topic in the
Working With Assets
help for
Data Governance and Catalog
.
businessDesc
The business description of a data element, as defined in
Data Governance and Catalog
.
In
Data Governance and Catalog
. For more information, see the
Enrich technical assets with governance context
topic in the
Working With Assets
help for
Data Governance and Catalog
.
createdBy
The system generated unique identifier of the user account that created the data element.
createdOn
The date when the data element was created.
modifiedBy
The system generated unique identifier of the latest user account that modified the data element.
modifiedOn
The latest date when the data element was modified.

0 COMMENTS

We’d like to hear from you!